<?php

/*
 * @author  Krzysztof Bebło <krzysztof.beblo@sote.pl>
 */

class appAddThisPluginListener {

    public static function append(sfEvent $event, $components) {

        if ($event['slot'] == 'product-label-footer') {
            $components[] = $event->getSubject()->createComponent('appAddThisFrontend', 'shareButtons');
        }
        if ($event['slot'] == 'base-header') {
            $components[] = $event->getSubject()->createComponent('appAddThisFrontend', 'sidebar');
        }
        return $components;
    }

}