<?php use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'VisualEffect', 'stAdminGenerator', 'stDate') ?>
<?php use_stylesheet('backend/appAddThisPlugin.css'); ?>
<?php 
echo st_get_admin_head('appAddThisPlugin', __('Konfiguracja'), __('Moduł umożliwia szybkie przesyłanie notatek do serwisów społecznościowych tj. Facebook, Twitter itp.'));
st_view_slot_start('application-menu');
st_include_partial('appAddThisBackend/config_menu'); 
st_view_slot_end();
?>
    <div id="sf_admin_content" class="admin-content-edit">
    <?php st_include_partial('stAdminGenerator/message', array('labels' => $labels)); ?>
    <?php echo form_tag('appAddThisBackend/index', array('class'=> "admin_form")) ?>
            <fieldset>
            <div class="content" id="st_addthis">
             <div class="row"> 
                <?php echo label_for('st_form-addthis-field',__('ID profilu ze strony').' '.'<a href="https://www.addthis.com/" target="_blank">'.__('AddThis.com').'</a>') ?>
                <?php if ($sf_request->hasError('addthis{user}') ): ?>
                <div class="field form-error">
                    <div class="form-error-msg"><?php echo form_error('addthis{user}', array('class' => 'form-error-msg')) ?></div>
                    <?php echo input_tag('addthis[user]', $config->get('user'));?>
                </div>
                <?php else:?>
                <div class="field"><?php echo input_tag('addthis[user]', $config->get('user'));?></div>
                <?php endif;?>
                <div class="clr"></div>
            </div>
            </div>
            </fieldset>

            <fieldset>
            <h2><?php echo __('Cały sklep');?></h2>
            <div class="content" id="st_addthis">

            <div class="st_row2">
            
            <div class="left">
            <div><img src="/images/backend/appAddThisPlugin/sidebar_share.png" height="150" width="210" class="gif" /></div>
            <div class="turn_on">
            <div class="app_checkbox"><?php echo checkbox_tag('addthis[sidebar]',true,$config->get('sidebar')) ?></div>
             <div class="label_text"><?php echo __('Włącz Sharing Sidebar');?></div>
            </div>
            </div>

            <div class="left">
            <div><img src="/images/backend/appAddThisPlugin/mobile_share.png" height="150" width="210" class="gif"/></div>
            <div class="turn_on">
            <div class="app_checkbox"><?php echo checkbox_tag('addthis[mobile]',true,$config->get('mobile')) ?></div>
            <div class="label_text"><?php echo __('Włącz Mobile Sharing Toolbar');?></div>
            </div>
            </div>          
            <div class="st_clear_all"></div> 

            </div>
            </div>

            </fieldset>

            <fieldset>
            <h2><?php echo __('Karta produktu');?></h2>
            <div class="content" id="st_addthis">

            <div class="st_row2">
            
            <div class="left">
            <div><img src="/images/backend/appAddThisPlugin/inline_share.png" height="150" width="210" class="gif" ></div>
            <div class="turn_on">
                <div class="app_checkbox"><?php echo checkbox_tag('addthis[inline]',true,$config->get('inline')) ?></div>
                <div class="label_text"><?php echo __('Włącz Sharing Buttons');?></div>
                <div class="st_clear_all"></div> 
            </div>
            
            </div>

            <div class="left">
            <div><img src="/images/backend/appAddThisPlugin/image_share.png" height="150" width="210" class="gif"/></div>
            <div class="turn_on">
                <div class="app_checkbox"><?php echo checkbox_tag('addthis[image]',true,$config->get('image')) ?></div>
                <div class="label_text"><?php echo __('Włącz Image Sharing Buttons');?></div>
                 <div class="st_clear_all"></div> 
            </div>
            </div>          
            <div class="st_clear_all"></div> 
            </div>

            </fieldset>
            <div id="config_actions">
             <?php echo st_get_admin_actions_head() ?>
            <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, 'name=save') ?>
            <?php echo st_get_admin_actions_foot() ?>
            </div>
       
    </form>

<?php echo st_get_admin_foot() ?>

</div>

<script type="text/javascript">
jQuery(function ($)
{   

    $(document).ready(function() {

    $(".gif").hover(
        function()
        {
          var src = $(this).attr("src");
          $(this).attr("src", src.replace(/\.png$/i, ".gif"));
        },
        function()
        {
          var src = $(this).attr("src");
          $(this).attr("src", src.replace(/\.gif$/i, ".png"));
        });

    $('#config_actions').stickyBox();
    fieldsetVisibility();

});

});
</script>