<?php
/**
 * Klasa appAddThisFrontendComponents
 *
 * @package     appAddThisPlugin
 * @subpackage  actions
 */
class appAddThisFrontendComponents extends sfComponents
{

    public function executeShareButtons()
    {

        $this->config = stConfig::getInstance(sfContext::getInstance(), 'appAddThisBackend');
        $this->user = $this->config->get('user');

        if (!$this->user)
        {
            return sfView::NONE;
        }

        $this->sidebar = $this->config->get('sidebar');
        $this->mobile = $this->config->get('mobile');
        $this->inline = $this->config->get('inline');
        $this->image = $this->config->get('image');

        $this->smarty = new stSmarty('appAddThisFrontend');
        $lang = $this->getUser()->getCulture();
        $lang = explode("_",$this->getUser()->getCulture());
        $this->lang = $lang[0];

    }


    public function executeSidebar()
    {


        $this->config = stConfig::getInstance(sfContext::getInstance(), 'appAddThisBackend');
        $this->user = $this->config->get('user');

        $module_name = sfContext::getInstance()->getModuleName();

        if (!$this->user || $module_name == 'stBasket' || $module_name == 'stUser' || $module_name == 'stUserData' || $module_name == 'stOrder')
        {
            return sfView::NONE;
        }

        $this->sidebar = $this->config->get('sidebar');
        $this->mobile = $this->config->get('mobile');
        $this->inline = $this->config->get('inline');
        $this->image = $this->config->get('image');


        $this->smarty = new stSmarty('appAddThisFrontend');
        $lang = $this->getUser()->getCulture();
        $lang = explode("_",$this->getUser()->getCulture());
        $this->lang = $lang[0];

    }
}